# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "dhomer"
version = "0.1.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Simple and easy to use, a proxy server based on Pingora"
readme = false
license = "MIT"

[[bin]]
name = "dhomer"
path = "src/main.rs"

[dependencies.async-trait]
version = "0.1.88"

[dependencies.clap]
version = "4.5.38"
features = ["derive"]

[dependencies.config]
version = "0.15.11"

[dependencies.directories]
version = "6.0.0"

[dependencies.http]
version = "1.3.1"

[dependencies.lazy_static]
version = "1.5.0"

[dependencies.pingora]
version = "0.6.0"
features = [
    "lb",
    "openssl",
]

[dependencies.regex]
version = "1.11.2"

[dependencies.serde]
version = "1.0.219"
features = ["derive"]

[dependencies.snafu]
version = "0.8.5"

[dependencies.time]
version = "0.3.43"
features = ["local-offset"]

[dependencies.toml]
version = "0.8.22"

[dependencies.tracing]
version = "0.1.41"

[dependencies.tracing-appender]
version = "0.2.3"

[dependencies.tracing-subscriber]
version = "0.3.19"
features = [
    "env-filter",
    "fmt",
    "std",
    "time",
]
